export interface PurchaseResponse {
  kind: string;
  purchaseTime: number;
  purchaseState: number;
  consumptionState: number;
  developerPayload: string;
}

export interface AppResponse<T> {
  onSuccess(response: T): void;
  onUnauthorized?(): void;
  onForbidden?(): void;
  onNotFound?(): void;
  onFailure(message: string): void;
}

export interface AppRequest {
  url: string;
  data?: any;
}
